### Signal

# Gtk.IMContext::commit

#### Declaration

    void
    commit (
      GtkIMContext self,
      gchar* str,
      gpointer user_data
    )

#### Description [src]

The ::commit signal is emitted when a complete input sequence has been entered by the user. This can be a single character immediately after a key press or the final result of preediting.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`str` | `gchar*`
| the completed character(s) entered by the user
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string